using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XF.Domain.Events
{
    public interface IAppEventBus
    {
        Task SendAsync(IAppNotification notification, CancellationToken cancellationToken);
        Task PublishAsync(IAppNotification notification, CancellationToken cancellationToken);
    }
}
